%define anolis_release		1
%global perl_name perlfaq

Name:       perl-perlfaq
Epoch:	    1
Version:	5.20240218
Release:    %{anolis_release}%{?dist}
Summary:    Frequently asked questions about Perl
License:    (GPL+ or Artistic) and Public Domain
URL:        https://metacpan.org/release/%{perl_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{perl_name}-%{version}.tar.gz


BuildRequires:      coreutils
BuildRequires:      gcc gcc-c++ make
BuildRequires:      perl-generators perl-interpreter
BuildRequires:      perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:      perl(warnings)  perl(blib) perl(File::Spec) perl(IO::Handle) perl(IPC::Open3) perl(Test::More)
Conflicts:          perl < 4:5.22.0-347
BuildArch:          noarch
 
%description
The perlfaq comprises several documents that answer the most commonly asked questions 
about Perl and Perl programming. It's divided by topic into nine major sections outlined 
in this document.
 

%prep
%autosetup -n %{perl_name}-%{version}
 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*
 

%check
make test
 

%files
%{perl_vendorlib}/%{perl_name}.pm
%{perl_vendorlib}/*.pod
%license LICENSE
%doc README Changes
%{_mandir}/man3/*
 

%changelog
* Mon Jul 07 2025 wenyuzifang <lzx02244079@alibaba-inc.com> - 5.20240218-1
- Updated to version 5.20240218 to fix xxxxxxxxx


* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 1:5.20210520-4
- change spec file format

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:5.20210520-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:5.20210520-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:5.20210520-1
- Init package from upstream
